### Signal

# Xdp Portal::notification-action-invoked

#### Declaration

    void
    notification_action_invoked (
      XdpPortal* self,
      gchar* id,
      gchar* action,
      GVariant* parameter,
      gpointer user_data
    )

#### Description [src]

Emitted when a non-exported action is activated on a notification.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`id` | `gchar*`
| The notification ID.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`action` | `gchar*`
| The action name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`parameter` | `GVariant`
| The target parameter for the action.
| The argument can be `NULL`.
| The data is owned by the caller of the function.